# Uses of Interface
org.jmol.api.JmolFilesReaderInterface

Packages that use JmolFilesReaderInterface
Package
Description
org.jmol.adapter.smarter
org.jmol.api
org.jmol.io

## Uses of JmolFilesReaderInterface in org.jmol.adapter.smarter

Methods in org.jmol.adapter.smarter with parameters of type JmolFilesReaderInterface
Modifier and Type
Method
Description
`Object`
SmarterJmolAdapter.`getAtomSetCollectionReaders(JmolFilesReaderInterface filesReader, String[] names, String[] types, Map<String,Object> htParams, boolean getReadersOnly)`
primary for String[] or File[] reading -- two options are implemented --- return a set of simultaneously open readers, or return one single collection using a single reader

## Uses of JmolFilesReaderInterface in org.jmol.api

Methods in org.jmol.api with parameters of type JmolFilesReaderInterface
Modifier and Type
Method
Description
`abstract Object`
JmolAdapter.`getAtomSetCollectionReaders(JmolFilesReaderInterface fileReader, String[] names, String[] types, Map<String,Object> htParams, boolean getReadersOnly)`
Associate an atomSetCollection object with an array of BufferedReader.

## Uses of JmolFilesReaderInterface in org.jmol.io

Classes in org.jmol.io that implement JmolFilesReaderInterface
Modifier and Type
Class
Description
`class`
`FilesReader`
open a set of models residing in different files